@import '../../colors.scss';

.page.diy {
    .main {
        position: relative;
        margin: 56px 0;
    }
    .image-container {
        position: relative;
        width: 100%;
        img {
            display: block;
            width: 100%;
        }
    }
    .cta-button {
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 50%;
        height: 40px;
        width: 40px;
        background-color: #ffffff40;
        font-size: 1.2rem;
        &.ar {
            bottom: 10px;
            right: 10px;
            color: $orange;
        }
        &.bookmark {
            top: 10px;
            right: 10px;
            color: #ffffffa0;
            font-size: 1.6rem;
            transition: all 200ms ease-out;
            &.selected {
                color: $orange;
            }
            &.pulse-enter {
                opacity: 0;
                transform: scale(1.3);
            }
            &.pulse-exit {
                opacity: 1;
                transform: scale(1);
            }
            &.pulse-enter-active {
                opacity: 1;
                transform: scale(1);
            }
            &.pulse-exit-active {
                opacity: 0;
                transform: scale(1.3);
            }
        }
        &.back {
            top: 10px;
            left: 10px;
            color: #ffffffa0;
            font-size: 2rem;
        }
    }
    .badge-container {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: flex-start;
        padding: 20px;
        background-color: white;
        .badge {
            display: flex;
            align-items: center;
            justify-content: center;
            margin-right: 20px;
            .badge-icon {
                padding-right: 5px;
                font-size: 1rem;
                font-weight: bold;
            }
            .badge-content {
                font-size: 1.2rem;
            }
            color: $gray-dark;
            border-radius: 5px;
        }
    }

    .header {
        display: flex;
        flex-direction: row;
        background-color: white;

        .score-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: space-between;
            padding: 3px 7px;
            margin-left: 20px;
            border-radius: 50px;
            background-color: $gray-lighter;
            .score {
                display: flex;
                align-items: center;
                justify-content: center;
                margin: 0;
                border-radius: 50%;
                background-color: #ffffff40;
                font-size: 25px;
                &.selected {
                    color: $orange;
                }
            }
            .score-value {
                font-size: 1.5rem;
                font-weight: 400;
                margin: 5px 0;
                transition: opacity 200ms ease-out;
                &.fade-enter {
                    opacity: 0;
                }
                &.fade-exit {
                    opacity: 1;
                }
                &.fade-enter-active {
                    opacity: 1;
                }
                &.fade-exit-active {
                    opacity: 0;
                }
            }
        }
    }
    .brief {
        background-color: white;
        padding: 20px 20px 10px;
    }
    h1 {
        margin: 0;
        padding: 0 20px 0 10px;
        font-size: 3rem;
        font-weight: 400;
    }
    p {
        padding: 20px;
        margin: 0;
        font-size: 1.4rem;
        font-weight: 100;
        line-height: 2.4rem;
        text-align: justify;
    }
    ul {
        padding-left: 20px;
    }
    h2 {
        margin: 0;
        padding: 25px 20px 0;
        font-size: 2rem;
    }

    .tools-container {
        overflow: auto hidden;
        width: 100%;
        max-width: 100%;
        &::-webkit-scrollbar {
            display: none;
        }
        .tools-scroll {
            display: flex;
            flex-flow: nowrap;
            width: fit-content;
            padding: 10px 15px;
        }
        .tool {
            overflow: hidden;
            margin: 5px;
            padding: 10px;
            box-shadow: 0px 1px 5px #00000040;
            width: 100px;
            background-color: white;
            img {
                display: block;
                max-height: 100px;
                width: 100%;
            }
            .tool-titlebar {
                padding-top: 10px;
                font-size: 1.2rem;
                .tool-title {
                    display: block;
                    font-weight: bold;
                    width: 100%;
                    white-space: nowrap;
                    text-overflow: ellipsis;
                    overflow: hidden;
                }
                .tool-price {
                    display: flex;
                    padding-top: 5px;
                    font-style: italic;
                    .main-part {
                        font-weight: bold;
                        font-size: 1.4rem;
                    }
                    .change-part {
                        position: relative;
                        left: -2px;
                        font-size: 1rem;
                        font-weight: 700;
                    }
                }
            }
            .tool-actionbar {
                padding-top: 10px;
                direction: rtl;
                .action {
                    margin-left: 5px;
                    font-size: 1.6rem;
                }
            }
        }
    }
    .buy-all-container {
        display: flex;
        padding: 0 20px;
        .buy-all {
            display: flex;
            flex: 1;
            align-items: center;
            justify-content: center;
            background-color: $orange;
            color: white;
            border: 2px solid $orange;
            border-radius: 5px;
            padding: 10px;
            box-sizing: border-box;
            font-size: 1.4rem;
            font-weight: 400;
            box-shadow: 0px 1px 5px #00000040;
            transition: all 200ms;
            .buy-all-icon {
                padding-right: 5px;
                font-weight: bold;
            }
            &:active {
                background-color: white;
                color: $orange;
            }
        }
    }
    .steps-container {
        display: flex;
        overflow: hidden;
        width: 100%;
        max-width: 100%;
        &::-webkit-scrollbar {
            display: none;
        }
        .steps-scroll {
            position: relative;
            display: flex;
            flex-flow: nowrap;
            margin: 20px 10px 10px 10px;
            transition: left 500ms ease-out;
        }
    }

    .steps-nav {
        display: flex;
        flex: 1;
        justify-content: space-between;
        align-items: center;
        margin: 0 20px;
        padding: 5px 10px;
        border-radius: 50px;
        background-color: white;
        .step-nav-button {
            font-size: 25px;
            transition: opacity 200ms;
            &.disabled {
                opacity: 0.3;
            }
        }
        .step-value {
            font-size: 1.6rem;
            font-weight: 400;
            transition: opacity 500ms, transform 500ms;
            &.wipe-to-left-enter {
                opacity: 0;
                transform: translateX(100%);
            }
            &.wipe-to-left-exit {
                opacity: 1;
                transform: translateX(0%);
            }
            &.wipe-to-left-enter-active {
                opacity: 1;
                transform: translateX(0%);
            }
            &.wipe-to-left-exit-active {
                opacity: 0;
                transform: translateX(-100%);
            }

            &.wipe-to-right-enter {
                opacity: 0;
                transform: translateX(-100%);
            }
            &.wipe-to-right-exit {
                opacity: 1;
                transform: translateX(0%);
            }
            &.wipe-to-right-enter-active {
                opacity: 1;
                transform: translateX(0%);
            }
            &.wipe-to-right-exit-active {
                opacity: 0;
                transform: translateX(100%);
            }
        }
    }
    .side-menu-container {
        position: absolute;
        display: flex;
        flex-direction: row;
        height: 100%;
        width: 100%;
        top: 0;
        left: -100%;
        z-index: 1000;
        transition: left 300ms ease-out;
        .side-menu {
            position: relative;
            width: 250px;
            background-color: $gray-dark;
            box-shadow: 0px -2px 5px 0px #00000080;
        }
        .side-menu-mask {
            background-color: white;
            opacity: 0.01;
            display: none;
            height: 100%;
            flex: 1;
        }
        &.open {
            left: 0;
            .side-menu-mask {
                display: flex;
            }
        }
        .close-menu-button-container {
            position: fixed;
            top: 0;
            display: flex;
            width: 250px;
            justify-content: flex-end;
            .close-menu-button {
                padding: 13px 19px;
                color: white;
                font-size: 3rem;
            }
        }
    }
    .menu-items {
        position: fixed;
        width: 250px;
        top: 100px;
        list-style-type: none;
        padding: 0;
        margin: 0;
        color: white;
        font-size: 1.2rem;
        .menu-item {
            display: flex;
            flex-direction: row;
            align-items: center;
            .menu-item-icon {
                padding: 20px;
            }
            .menu-item-text {
                padding: 20px 20px 20px 0;
                flex: 1;
            }
        }
    }

    .comments-title-container {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        h2 {
            padding: 25px 20px;
        }
        .comments-sort-button {
            margin: 15px;
            padding: 10px;
            font-size: 1.6rem;
            border-radius: 50%;
            transition: all 200ms;
            &:active {
                background-color: $gray-light;
            }
        }
    }

    .comments-container {
        .comment-container {
            display: flex;
            flex-direction: column;
            margin: 20px;
            background-color: white;
            &:first-child {
                margin-top: 0;
            }
            .author-container {
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: flex-start;
                .author-avatar {
                    height: 40px;
                    width: 40px;
                    border-radius: 50%;
                    overflow: hidden;
                    margin: 20px 10px 10px 20px;
                }
                .author-title {
                    display: flex;
                    flex-direction: column;
                    margin: 20px 0 10px 0;
                    .author-name {
                        flex: 1;
                        font-size: 1.6rem;
                        font-weight: bold;
                        display: flex;
                        align-items: center;
                        .certified {
                            padding-left: 5px;
                            font-size: 1.5rem;
                            color: #1da1f2;
                        }
                    }
                    .author-details {
                        font-size: 1.2rem;
                    }
                }
                .timestamp {
                    flex: 1;
                    display: flex;
                    align-items: center;
                    justify-content: flex-end;
                    padding: 20px 20px 20px 0;
                    font-size: 1.2rem;
                }
            }
            p {
                padding-top: 10px;
            }
        }
    }
}
